%define module	pytables
%define name 	python-%{module}
%define version 2.0.4
%define release %mkrel 2

Summary: 	Hierarchical datasets in Python
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{module}-%{version}.tar.lzma
Patch0:		setup.py.patch
License: 	BSD
Group: 	 	Development/Python
Url: 	 	http://www.pytables.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	python-numpy >= 1.0.3
BuildRequires:	python-devel, python-numpy-devel >= 1.0.3
BuildRequires: 	hdf5-devel >= 1.6.5, bzip2-devel, liblzo-devel
BuildRequires:	python-setuptools

%description
PyTables is a Python package for managing hierarchical datasets
designed to efficiently and easily cope with extremely large amounts
of data. It is built on top of the HDF5 library and the NumPy package
(numarray and Numeric are also supported). PyTables features an
object-oriented interface and performance-critical extensions coded in
C (generated using Pyrex) that make it a fast yet extremely
easy-to-use tool for interactively processing and searching through
very large amounts of data. PyTables also optimizes memory and disk
resources so that data occupies much less space than with other
solutions such as relational or object-oriented databases (especially
when compression is used).

%prep 
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
export FORCE_SETUPTOOLS=
%__python setup.py build

%install
%__rm -rf %{buildroot}
export FORCE_SETUPTOOLS=
%__python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
%__rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc *.txt doc/*.pdf LICENSES examples


%changelog
* Tue Nov 25 2008 Lev Givon <lev@mandriva.org> 2.0.4-2mdv2009.0
+ Revision: 306499
- Rebuild against newer HDF5 libraries.

* Thu Aug 07 2008 Lev Givon <lev@mandriva.org> 2.0.4-1mdv2009.0
+ Revision: 266627
- Update to 2.0.4.

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-4mdv2009.0
+ Revision: 259773
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-3mdv2009.0
+ Revision: 247617
- rebuild

* Mon Mar 10 2008 Lev Givon <lev@mandriva.org> 2.0.3-1mdv2008.1
+ Revision: 183824
- Update to 2.0.3.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Lev Givon <lev@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 113805
- Update to 2.0.2.

* Thu Nov 15 2007 Lev Givon <lev@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 108953
- import python-pytables


